Bug 192690 - multilib -devel conflicts for java-1.4.2-gcj-compat
multilib -devel conflicts for java-1.4.2-gcj-compat
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks: multilibdevel 205216
  Show dependency treegraph
 
Reported: 2006-05-22 14:01 EDT by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 19:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
brp script to repack jars (2.05 KB, text/plain)
2006-08-31 14:50 EDT, Ben Konrath
no flags Details

  None (edit)
Description Jeremy Katz 2006-05-22 14:01:24 EDT
The package contains conflicting -devel packages for multilib arches.

java-1.4.2-gcj-compat-devel-1.4.2.0-40jpp_83rh.i386.rpm
warning: java-1.4.2-gcj-compat-devel-1.4.2.0-40jpp_83rh.i386.rpm: Header V3 DSA
signature: NOKEY, key ID 4f2a6fd2
Preparing...                ##################################################
        file /usr/bin/aot-compile-rpm from install of java-1.4.2-gcj-compat-deve
l-1.4.2.0-40jpp_83rh conflicts with file from package java-1.4.2-gcj-compat-deve
l-1.4.2.0-40jpp_83rh
        file /usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/lib/tools.jar from install of j
ava-1.4.2-gcj-compat-devel-1.4.2.0-40jpp_83rh conflicts with file from package j
ava-1.4.2-gcj-compat-devel-1.4.2.0-40jpp_83rh
Comment 1 Thomas Fitzsimmons 2006-07-26 14:46:23 EDT
Ben's jar scrubbing brp script will fix this.  Apparently the hold-up is that we
need Jakub to review it, but he's on vacation.  Plus Ben found a small problem
with it that needs reworking.
Comment 2 Thomas Fitzsimmons 2006-08-30 16:09:52 EDT
Ben, any update on this?
Comment 3 Ben Konrath 2006-08-31 14:50:14 EDT
Created attachment 135319 [details]
brp script to repack jars

I'm still waiting for Jeremy to install the attached brp script. If you want to
try it out, you can install it by adding the script to the %__os_install_post
in /usr/lib/rpm/redhat/macros.
Comment 4 Jeremy Katz 2006-09-06 00:18:57 EDT
redhat-rpm-config-8.0.45-2 has the brp script added
Comment 5 Thomas Fitzsimmons 2006-09-07 19:04:53 EDT
Fixed in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.